package provaHibernate.main;

import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

import provaHibernate.entity.User;
import provaHibernate.manager.UserManager;

public class Main {
	
	private static final Logger logger = Logger.getLogger("Main");

	public static void main(String[] args) {
		User u1 = new User("Pippo","A");
		User u2 = new User("Paperino","B");
		User u3 = new User("Pluto","Ultimo");
		UserManager.saveUser(u1);
		UserManager.saveUser(u2);
		UserManager.saveUser(u3);
		User saved = UserManager.findUser(1L);
		logger.log(Level.INFO,String.format("User salvato %s", saved));
		List<User> search = UserManager.findUsers("el");
		logger.log(Level.INFO,String.format("User trovati %s", search));
	}
}
